import {PolymerElement, html} from '@polymer/polymer';
import {customElement, property} from '@polymer/decorators';
import gen from './general.png';

import './main.scss';
@customElement()
class SampleApp extends PolymerElement {
  static get is() {
    return 'sample-app';
  }
  static get template() {
    return html`
      <style include="main"></style>
      <div>
        <h1>[[msg]]</h1>
        <img src="[[src]]" />
      </div>
    `;
  }

  @property({type: String}) src: string = gen;
  @property({type: String}) msg: string = 'HELLO APP';
}
export default SampleApp;
